/// <reference types="vite/client" />

interface ImportMetaEnv {
	readonly VITE_NODE_ENV: string //定义提示信息 数据是只读的无法被修改
	readonly VITE_APP_BASE_API: string
	readonly VITE_APP_TITLE: string
	readonly VITE_API_BASE_URL: string
}

declare module '*.vue' {
	import type { DefineComponent } from 'vue'
	const component: DefineComponent<{}, {}, any>
	export default component
}

declare module '*.svg' {
	const content: any
	export default content
}
declare module '*.svg'
declare module '*.png'
declare module '*.jpg'
declare module '*.jpeg'
declare module '*.gif'
declare module '*.bmp'
declare module '*.tiff'
